Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::UnknownDeviceAttachedEvent Struct Reference

Event: An unknown device was attached. More...

`import <PeripheralDeviceManager.idl;`

Inheritance diagram for peripheral::DeviceManager::UnknownDeviceAttachedEvent:

## Public Attributes
string | romCode
| Device ROM code.
vector< PosElement > | position
| Device position in the chain.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: An unknown device was attached.

Definition at line 85 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## ◆ position

vector<PosElement> peripheral::DeviceManager::UnknownDeviceAttachedEvent::position

Device position in the chain.

Definition at line 87 of file PeripheralDeviceManager.idl.

## ◆ romCode

string peripheral::DeviceManager::UnknownDeviceAttachedEvent::romCode

Device ROM code.

Definition at line 86 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl